Fallo en la instalacion de adobe air

Que raro que te mande a un enlace de instalación, a mi me descarga los getlibs, pon en el buscador descargar getlibs-all.deb para descargarlos e instalarlos.

De hecho ya descargue el paquete .deb

En el enlace en el punto 2 al dar click en las letras rojas te descarga el paquete .deb

Yo acabo de probar instalar en una pc con ubuntu 12.04 con KDE (ojo, no instale kubuntu)y el proceso fué

Bajar adobe air por consola

permiso para instalar

Citar

sudo chmod +x AdobeAIRInstaller.bin

instalar

Citar

sudo ./AdobeAIRInstaller.bin

Me dio error al instalar, es por la falta del gnome-keyring o cartera en KDE, para solucionarlo
Ubuntu 12.04 32 bits (es donde lo probé)

Citar

sudo ln -s /usr/lib/i386-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0
sudo ln -s /usr/lib/i386-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0.2.0

para Ubuntu 12.04 64 bits

Citar

sudo ln -s /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0
sudo ln -s /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-

Nota, la instalación donde lo probé es ubuntu minimal + kde-plasma-desktop, no es kubuntu completo, la instalación de adobe air tardó bastante, no fue rápida.

Creo que mi problema esta en este mensaje

ln: fallo al crear el enlace simbólico «/usr/lib/libgnome-keyring.so.0»: El archivo ya existe

se os ocurre como resolverlo?

Gracias por tu tiempo Alf pero si te refires al paquete getlibs-all.deb , ya lo descarge , yo me referia a adobe air en .deb pero no lo he encontrado.
Ademas he seguido nuebamente tus pasos que son los mismos que he encontrado en todos lados con el mismo resultado .
No obstante creo que mi problema esta en el mensage que cite anteriormente.
Nuevamente gracias por tu tiempo.

¿Has intentado eliminar todo rastro de la instalación, eliminar el enlace simbólico existente e instalar de nuevo?

L verdad es que ya había pensado en borrar todo rastro de lo que he hecho pero no se hacerlo .

arrubioa29 escribió:

L verdad es que ya había pensado en borrar todo rastro de lo que he hecho pero no se hacerlo .

Puedes hacer lo siguiente para borrar todo rastro de la instalación

sudo aptitude --purge remove nombre_del_programa

o

sudo dpkg -r nombre_del_programa

Limpiar cache de aplicaciones instaladas:

sudo aptitude clean

 
Limpiar aplicaciones no instaladas

sudo aptitude autoclean

 
Limpiar posibles dependencias de aplicaciones desinstaladas:

sudo aptitude autoremove

 
Instalas deborphan y

#deborphan

o

#deborphan –libdevel

Después

#aptitude  --purge remove `deborphan`

o

# aptitude  --purge remove `deborphan --libdev

Con esto creo que no queda rastro de la instalación.

Gracias Alf por orientarme pero como puedes ver a habido varios errores

arrubioa29@Kubuntu:~$ sudo aptitude --purge remove AdobeAIRInstaller.bin
[sudo] password for arrubioa29:
No se pudo encontrar ningún paquete cuyo nombre o descripción coincida con «AdobeAIRInstaller.bin»
No se pudo encontrar ningún paquete cuyo nombre o descripción coincida con «AdobeAIRInstaller.bin»
Se ELIMINARÁN los siguientes paquetes:
  python-aptdaemon-gtk{pu} python-aptdaemon.gtkwidgets{pu}
0 paquetes actualizados, 0 nuevos instalados, 2 para eliminar y 0 sin actualizar.
Necesito descargar 0 B de archivos. Después de desempaquetar se liberarán 154 kB.
¿Quiere continuar? [Y/n/?] n
Cancela.
arrubioa29@Kubuntu:~$ sudo aptitude clean
arrubioa29@Kubuntu:~$ sudo aptitude autoclean
Se liberará 0 B de espacio de disco             
arrubioa29@Kubuntu:~$ sudo aptitude autoremove
Orden desconocida «autoremove»
aptitude 0.6.6
Uso: aptitude [-S nombre_archivo] [-u|-i]
       aptitude [opciones] <acción> ...
  Acciones (si no se especifica ninguna, aptitude entrará en modo interactivo):

install      -  Instala/actualiza paquetes.
remove       -  Elimina paquetes.
purge        - Elimina paquetes junto con sus ficheros de configuración.
hold         - Bloquea paquetes.
unhold       - Desbloquea un paquete.
markauto     - Marca paquetes como instalados manualmente.
unmarkauto   - Desmarca paquetes como instalados manualmente.
forbid-version - Prohíbe a aptitude actualizar a una versión específica de un paquete.
update       - Descarga las listas de paquetes nuevos/actualizables.
safe-upgrade - Realiza una actualización segura.
full-upgrade - Realiza una actualización, posiblemente instalando
                y eliminando paquetes.
build-dep    - Instala las dependencias de los paquetes.
forget-new   - Olvida qué paquetes son "nuevos".
search       - Busca un paquete por nombre y/o expresión.
show         - Muestra información detallada de un paquete.
versions     - Muestra las versiones de los paquetes especificados.
clean        - Elimina los ficheros de paquetes descargados.
autoclean    - Elimina los ficheros de paquetes descargados obsoletos.                                                                                                                                   
changelog    - Muestra el registro de cambios del paquete.                                                                                                                                               
download     - Descarga los ficheros .deb para un paquete.                                                                                                                                               
reinstall    - Descarga y (posiblemente) reinstala un paquete ya instalado.                                                                                                                              
why         - Muestra los paquetes manualmente instalados que necesitan un paquete                                                                                                                       
               o por qué uno de los paquetes necesita un paquete concreto.                                                                                                                                
why-not      - Mostrar los paquetes manualmente instalados que llevan a un                                                                                                                               
                conflicto con un paquete determinado, o por qué si se isntalaran                                                                                                                          
                uno o más paquetes llevarían a un conflicto con dicho paquete.                                                                                                                            
                                                                                                                                                                                                          
  Opciones:                                                                                                                                                                                               
-h              Este texto de ayuda.                                                                                                                                                                     
--no-gui          No usa la interfaz GTK aunque este disponible.
-s              Simula las acciones, pero en realidad no las realiza.
-d              Solo descarga paquetes, no instala o desinstala nada.
-p              Siempre pide confirmación de las acciones.
-y              Supone que la respuesta a preguntas simples del tipo sí/no es «sí».
-F formato      Especifica el formato para mostrar los resultados de las
                búsquedas, lea el manual.
-O orden        Especifica como se deben ordenar los resultados de la búsqueda,
                lea el manual.
-w ancho        Especifica el ancho del visor para dar formato a los resultado
                de la búsqueda.
-f              Trata de arreglar paquetes rotos de forma agresiva.
-V              Muestra la versión de los paquetes a instalar.
-D              Muestra las dependencias de los paquetes cambiados automáticamente.
-Z              Muestra el cambio del tamaño instalado de cada paquete.
-v              Muestra información extra (puede darse más de una vez).
-t [distrib]    Establece la distribución desde la que se instalan los paquetes.
-q              No muestra los indicadores de progreso incrementales
                 en el modo de línea de órdenes.
-o opconf=val     Establecer directamente la opción de configuración llamada «opconf».
--with(out)-recommends,        Especifica si se tratan o no las
                recomendaciones como dependencias fuertes.
-S nombarch     Lee la información de estado extendida de aptitude de nombarch.
-u              Descarga una nueva lista de paquetes al arrancar.
                  (solo interfaz de terminal)
-i              Realiza una instalación al arrancar.
                  (solo interfaz de terminal)

                  Este aptitude no tiene poderes de Super Vaca.
arrubioa29@Kubuntu:~$ apt-get install deborphan
E: No se pudo abrir el fichero de bloqueo «/var/lib/dpkg/lock» - open (13: Permiso denegado)
E: No se encontró un archivo de réplica «/var/lib/dpkg/»
arrubioa29@Kubuntu:~$ sudo apt-get install deborphan
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias      
Leyendo la información de estado... Hecho
Se instalarán los siguientes paquetes extras:
  dialog
Se instalarán los siguientes paquetes NUEVOS:
  deborphan dialog
0 actualizados, 2 se instalarán, 0 para eliminar y 4 no actualizados.
Necesito descargar 382 kB de archivos.
Se utilizarán 1.861 kB de espacio de disco adicional después de esta operación.
¿Desea continuar [S/n]? s
Des:1 http://es.archive.ubuntu.com/ubuntu/ precise/universe deborphan amd64 1.7.28.5 [102 kB]
Des:2 http://es.archive.ubuntu.com/ubuntu/ precise/universe dialog amd64 1.1-20111020-1 [280 kB]
Descargados 382 kB en 8seg. (42,6 kB/s)                                                                                                                                                                  
Seleccionando paquete deborphan previamente no seleccionado
(Leyendo la base de datos ... 247886 ficheros o directorios instalados actualmente.)
Desempaquetando deborphan (de .../deborphan_1.7.28.5_amd64.deb) ...
Seleccionando paquete dialog previamente no seleccionado
Desempaquetando dialog (de .../dialog_1.1-20111020-1_amd64.deb) ...
Procesando disparadores para man-db ...
Configurando deborphan (1.7.28.5) ...
Configurando dialog (1.1-20111020-1) ...
arrubioa29@Kubuntu:~$ deborphan –libdevel
deborphan: package –libdevel not found or not installed
arrubioa29@Kubuntu:~$ #aptitude  --purge remove `deborphan`
arrubioa29@Kubuntu:~$ sudo aptitude  --purge remove `deborphan`
Se ELIMINARÁN los siguientes paquetes:           
  appmenu-gtk appmenu-gtk3 libhal-storage1 libhal1{pu} ttf-nanum-coding
0 paquetes actualizados, 0 nuevos instalados, 5 para eliminar y 4 sin actualizar.
Necesito descargar 0 B de archivos. Después de desempaquetar se liberarán 537 kB.
¿Quiere continuar? [Y/n/?] y
(Leyendo la base de datos ... 248076 ficheros o directorios instalados actualmente.)
Desinstalando appmenu-gtk ...
Desinstalando appmenu-gtk3 ...
Desinstalando libhal-storage1 ...
Procesando disparadores para libc-bin ...
ldconfig deferred processing now taking place
(Leyendo la base de datos ... 248054 ficheros o directorios instalados actualmente.)
Desinstalando libhal1 ...
Purgando ficheros de configuración de libhal1 ...
Procesando disparadores para libc-bin ...
ldconfig deferred processing now taking place
(Leyendo la base de datos ... 248046 ficheros o directorios instalados actualmente.)
Desinstalando ttf-nanum-coding ...
                                                 
arrubioa29@Kubuntu:~$ sudo aptitude  --purge remove `deborphan --libdev
>

con la ultima instruccion se quedo con ese simbolo la consola y daba la impresion de que tubiese que escribir algo.
Aun asi voy a intentar de nuevo la instalacion , gracias .

Nuevamente el resultado a sido el mismo

Me parece increible ser el unico cortito incapaz de poner el adobe air. Pero no he abandonado solo lo dejo temporalmente mientras estoy con otra consulta.
Gracias por vuestra ayuda